Subject: bug#53234: terminal URL capability not correctly detected (gnome-terminal 3.22.2).

From: Ludovic Courtès <[email-masked]>
Date: Fri, 14 Jan 2022 22:35:30 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> I discovered that on a Debian 9 (stretch) box equipped with
> gnome-terminal 3.22.2, Guix would use terminal ANSI codes to represent
> hyperlinks in its output, which were not supported by GNOME terminal
> 3.22.2 which uses VTE 0.46.1 (it picked up support in 3.26 IIRC).

I’m afraid there’s not much we can do: terminal emulators are supposed
to ignore ANSI sequences they don’t understand.

My recollection is that there was a bug in libvte back then:

  https://issues.guix.gnu.org/38940#6-lineno18

That bug mentions a much older VTE though, so I wonder if it’s a newer
regression?

Ludo’.